This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473110 - RHEL 5.3: allow tun/tap support larger MTU sizes
RHEL 5.3: allow tun/tap support larger MTU sizes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Mark McLoughlin
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 10:40 EST by Mark McLoughlin
Modified: 2009-01-20 14:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tun-jumbo-frame-support.patch (2.11 KB, patch)
2008-11-26 12:45 EST, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-11-26 10:40:26 EST
Currently, the tun/tap driver doesn't support setting it's MTU size to more than 1500 bytes:

  $> ip link set vnet0 mtu 9000
  SIOCSIFMTU: Invalid argument

In order to gain the performance improvement resulting from less packet overhead, it's quite common for customers to configure their network so that the entire path between two nodes support jumbo frames (i.e. frame size of 9000 bytes).

Since tun/tap doesn't support this, it's impossible to obtain this benefit with KVM/virtio guests.

The patch to implement this support is quite trivial and has been upstream since 2.6.24.
Comment 3 Mark McLoughlin 2008-11-26 12:45:32 EST
Created attachment 324770 [details]
tun-jumbo-frame-support.patch
Comment 6 Don Zickus 2008-12-09 16:05:36 EST
in kernel-2.6.18-126.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 errata-xmlrpc 2009-01-20 14:58:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.